curl --location --request GET 'https://api.cobre.co/v1v1/alerts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"total_items": 1,
"total_pages": 1,
"is_last_page": false,
"page_items": 50,
"contents": [
{
"id": "alt_2Ut5988ss9",
"creator": "cli_vdkfasdhjb_31",
"type": "fx_rate",
"alias": "string",
"active_status": true,
"metadata": {
"currency_pair": "usd/cop",
"condition": "within_range",
"max_rate": 3500.12,
"min_rate": 3400.09
},
"valid_until": "2025-12-31T23:59:59Z",
"created_at": "2025-10-20T04:41:02Z",
"updated_at": "2025-10-23T05:00:13Z"
}
]
}'{
"total_items": 15,
"total_pages": 1,
"is_last_page": true,
"page_items": 15,
"contents": [
{
"id": "alt_mP0PFRmMPH",
"creator": "usr_68TbxU1Uif",
"type": "fx_rate",
"alias": "Below Example",
"active_status": true,
"metadata": {
"currencyPair": "usd/cop",
"condition": "below",
"minRate": 4000
},
"valid_until": "2026-05-17T04:00:00Z",
"created_at": "2026-04-17T04:58:00Z",
"updated_at": "2026-04-17T04:58:00Z"
},
{
"id": "alt_Af3YiJufPK",
"creator": "usr_68TbxU1Uif",
"type": "fx_rate",
"alias": "Range Example",
"active_status": true,
"metadata": {
"currencyPair": "usd/cop",
"condition": "within_range",
"maxRate": 3600,
"minRate": 3500
},
"valid_until": "2026-05-17T04:00:00Z",
"created_at": "2026-04-17T04:53:10Z",
"updated_at": "2026-04-17T04:53:10Z"
},
{
"id": "alt_7vH5YA5CI4",
"creator": "usr_68TbxU1Uif",
"type": "fx_rate",
"alias": "Above Example",
"active_status": false,
"metadata": {
"currencyPair": "usd/cop",
"condition": "above",
"maxRate": 3500
},
"valid_until": "2026-05-17T04:00:00Z",
"created_at": "2026-04-17T04:36:58Z",
"updated_at": "2026-04-17T04:36:58Z"
},
// ... 12 more alerts
]
}